package com.java2s.gwt.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.MenuBar;
import com.google.gwt.user.client.ui.RootPanel;

public class GWTClient implements EntryPoint{

  public void onModuleLoad() {
    MenuBar menu = new MenuBar();
    
    MenuBar menuCreate = new MenuBar(true);
    MenuBar menuHelp = new MenuBar(true);
        
    Constants constants = (Constants) GWT.create(Constants.class);
           
    menuHelp.addItem(constants.AboutMenuItemName(), new DummyCommand());
            
    menuCreate.addItem(constants.ClockMenuItemName(), new DummyCommand());
    menuCreate.addItem(constants.CalculatorMenuItemName(), new DummyCommand());

    menu.addItem(constants.HelpMenuName(), menuHelp);
    menu.addItem(constants.CreateMenuName(), menuCreate);

    menuCreate.addStyleName("submenu");
    menuHelp.addStyleName("submenu");

    RootPanel.get().add(menu);
  }
}

    public class DummyCommand implements Command{
    	public void execute() {
				Window.alert("Menu Item Clicked");
		}
    }
